Subject: RE: [GSoC] A small survey + My Git Blog, week 10

From: Felipe Contreras <[email-masked]>
Date: Mon, 26 Jul 2021 14:02:05 -0500

Atharva Raykar wrote:
> As for the "survey part", jump to the section here:
> https://atharvaraykar.me/gitnotes/week10#the-mailing-list-developer-workflow
> 
> ...feel free to reply in this thread.

It would have been nice to copy the survey on the email.

> What tools, systems and workflows do you find valuable in your
> day-to-day work? In particular I’d be happy getting insights like:
> 
> * Any strategy or approach to work, kind of like the example I quoted
>   above
> * Any scripts and tools that assist you
> * Opinionated handling of multiple in-flight series and methods to
>   approaching reviews
> * Atharva, you are overthinking this! I just use a straightforward {
>   editor + MUA + git } stack and go with the flow!

Personally I use mbsync + notmuch + notmuch-vim + vim + msmtp. You can
watch an example session in asciinema.org [1].

This deals with the filtering issue that you talked about in your blog
post, for example one of the latest queries I ran is
"from:felipe subject:mergetool", plus there's tags so I can mark
messages with "inbox", "git", or "to-do".

Of course you can use emacs instead of vim, but I use vim.

Haveing all the feedback readily available helps me address it easily.

For me notmuch is like git for mail.

Cheers.

[1] https://asciinema.org/a/oo4yUOQDDF2CrWZbzhZURFtTW

-- 
Felipe Contreras